dbXML API

## org.dbxml.core.indexer.helpers
Class IndexQueryLEQ

    java.lang.Object
      |
      +--org.dbxml.core.indexer.IndexQuery
            |
            +--org.dbxml.core.indexer.helpers.IndexQueryLEQ

public final class IndexQueryLEQ
extends IndexQuery

IndexQueryLEQ

Fields inherited from class org.dbxml.core.indexer.IndexQuery
`ANY, BW, BWX, EQ, GEQ, GT, IN, LEQ, LT, NBW, NBWX, NEQ, NIN, NSW, SW`

Constructor Summary
`IndexQueryLEQ(IndexPattern pattern, java.lang.String val1)`
`IndexQueryLEQ(IndexPattern pattern, Value val1)`

Method Summary
`int` `getOperator()` getOperator returns the operator associated with this query.
`boolean` `testValue(Value value)` testValue tests the specified value for validity against this IndexQuery.

Methods inherited from class org.dbxml.core.indexer.IndexQuery
`getLength, getPattern, getValue, getValues, testValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexQueryLEQ

    public IndexQueryLEQ(IndexPattern pattern,
                         Value val1)

### IndexQueryLEQ

    public IndexQueryLEQ(IndexPattern pattern,
                         java.lang.String val1)

Method Detail

### getOperator

    public int getOperator()

  Description copied from class: `IndexQuery`
  getOperator returns the operator associated with this query.
  Overrides:
    `getOperator` in class `IndexQuery`
  Following copied from class: `org.dbxml.core.indexer.IndexQuery`
  Returns:
    The operator

### testValue

    public boolean testValue(Value value)

  Description copied from class: `IndexQuery`
  testValue tests the specified value for validity against this IndexQuery. The helper classes in org.dbxml.core.indexer.helpers should be used for optimized performance.
  Overrides:
    `testValue` in class `IndexQuery`
  Following copied from class: `org.dbxml.core.indexer.IndexQuery`
  Parameters:
    `value` - The Value to compare
  Returns:
    Whether or not the value matches

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved